=== dcoprss/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( librss )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES rssservice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### rssservice (executable) ###################

tde_add_executable( rssservice AUTOMOC
  SOURCES
    main.cpp service.cpp query.cpp document.cpp article.cpp query.skel
    service.skel xmlrpciface.cpp cache.cpp
  LINK rss-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### rssclient (executable) ####################

tde_add_executable( rssclient
  SOURCES
    client.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### feedbrowser (executable) ##################

tde_add_executable( feedbrowser AUTOMOC
  SOURCES
    feedbrowser.skel feedbrowser.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
