=== kppp/logview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kppplogview.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kppplogview (executable) ##################

tde_add_executable( kppplogview AUTOMOC
  SOURCES
    main.cpp loginfo.cpp log.cpp monthly.cpp export.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
