=== krfb/kcm_krfb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../krfb
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kcmkrfb.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kcm_krfb (module) #########################

tde_add_kpart( kcm_krfb AUTOMOC
  SOURCES configurationwidget.ui kcm_krfb.cpp
  LINK krfbconfig-static srvloc-static tdednssd-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
