=== filesharing/advanced/propsdlgplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/filesharing/advanced/kcm_sambaconf
  ${CMAKE_SOURCE_DIR}/filesharing/advanced/kcm_sambaconf
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    fileshare_propsdlgplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### propsdlgplugin_common (static) ############

tde_add_library( propsdlgplugin_common STATIC_PIC AUTOMOC
  SOURCES propertiespage.cpp propertiespagegui.ui
  DEPENDENCIES filesharesamba_generate_headers 
)


##### fileshare_propsdlgplugin (module) #########

tde_add_kpart( fileshare_propsdlgplugin AUTOMOC
  SOURCES propsdlgshareplugin.cpp
  LINK
    propsdlgplugin_common-static filesharenfs-static
    filesharesamba-static tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
