## tdenetwork-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 project( tdenetwork )
 
 set( PACKAGE tdenetwork )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 ##### include essential cmake modules ###########
