=== kopete/protocols/jabber/jingle/libjingle/talk/p2p/client/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DLINUX
  -DPOSIX
  -DINTERNAL_BUILD
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../../..
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### cricketp2pclient (static) #################

tde_add_library( cricketp2pclient STATIC_PIC
  SOURCES
    sessionclient.cc basicportallocator.cc socketmonitor.cc
)
