=== debian/changelog ===
tdenetwork-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Oct 2020 03:22:56 +0200
